# Changelog

## 2024-10-02 - 2.0.60 - fix(dependencies)
Update dependencies to latest versions

- Bump @git.zone/tsbuild version from 2.1.82 to 2.1.84
- Bump @push.rocks/tapbundle version from 5.0.23 to 5.3.0
- Bump @types/node version from 20.14.9 to 22.7.4
- Bump @api.global/typedrequest version from 3.0.30 to 3.0.32
- Bump @push.rocks/smartstate version from 2.0.17 to 2.0.18
- Bump lit version from 3.1.4 to 3.2.0

## 2024-10-02 - 2.0.59 - fix(core)
Refactor plugin exports to improve modularity

- Refactored the plugin exports to be more modular and organized.
- Replaced redundant plugin object definition in ts/index.ts with a simpler import and export pattern.

## 2024-07-01 - 2.0.58 - fix(dependencies)
Update dependencies and correct font family in styles

- Updated @git.zone/tsbuild to ^2.1.82
- Updated @git.zone/tstest to ^1.0.90
- Updated @push.rocks/tapbundle to ^5.0.23
- Updated @types/node to ^20.14.9
- Updated @api.global/typedrequest to ^3.0.30
- Updated @design.estate/dees-comms to ^1.0.27
- Updated @push.rocks/lik to ^6.0.15
- Updated @push.rocks/smartjson to ^5.0.20
- Updated @push.rocks/smartpromise to ^4.0.4
- Updated @push.rocks/webrequest to ^3.0.37
- Updated @push.rocks/webstore to ^2.0.20
- Updated lit to ^3.1.4
- Updated default font family to 'Geist Sans', 'Inter', sans-serif

## 2024-04-20 - 2.0.57 - Documentation
Update to project documentation

- Updated existing documentation to reflect recent changes

## 2023-10-23 - 2.0.42...2.0.55 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2023-10-07 - 2.0.41...2.0.51 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2023-09-17 - 2.0.40 - Core
Fixes in core functionality

- Fix(core): update

## 2023-08-07 - 2.0.36...2.0.38 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2023-04-05 - 2.0.28...2.0.30 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2023-01-07 - 2.0.26...2.0.27 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2022-12-31 - 2.0.24...2.0.25 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2022-08-01 - 2.0.22...2.0.23 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2022-05-01 - 2.0.19...2.0.21 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2022-04-22 - 2.0.18...2.0.19 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2022-04-21 - 2.0.10...2.0.17 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2022-03-18 - 2.0.0 - Core
Major release

- Fix(core): update

## 2021-11-21 - 1.0.98...1.0.99 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2021-09-16 - 1.0.94...1.0.95 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2021-09-08 - 1.0.91...1.0.93 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2021-09-01 - 1.0.89...1.0.90 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2021-08-19 - 1.0.87 - Core
Fixes in core functionality

- Fix(core): update

## 2021-03-10 - 1.0.84...1.0.86 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-12-07 - 1.0.79...1.0.83 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-11-30 - 1.0.74...1.0.77 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-11-24 - 1.0.66...1.0.70 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-11-23 - 1.0.64...1.0.65 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2020-11-06 - 1.0.61...1.0.63 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-10-07 - 1.0.53...1.0.55 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-09-16 - 1.0.49...1.0.52 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-09-13 - 1.0.45...1.0.47 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-09-12 - 1.0.41...1.0.44 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-07-27 - 1.0.38...1.0.40 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-06-28 - 1.0.29...1.0.36 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-06-03 - 1.0.26...1.0.28 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-05-28 - 1.0.21...1.0.25 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-05-27 - 1.0.18...1.0.20 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-05-26 - 1.0.16...1.0.17 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2020-05-25 - 1.0.14...1.0.15 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update

## 2020-05-24 - 1.0.11...1.0.13 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...

## 2020-05-23 - 1.0.3...1.0.10 - Core
Multiple updates and fixes

- Fix(core): update
- Fix(core): update
- Fix(core): update
- ...
